Bug 11233 - GCRYCTL_ENABLE_QUICK_RANDOM undeclared
GCRYCTL_ENABLE_QUICK_RANDOM undeclared
Status: RESOLVED WONTFIX
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.1.17
All All
: P5 normal
: ---
Assigned To: Björn Jacke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-23 15:43 UTC by Tom Schulz
Modified: 2017-01-03 03:28 UTC (History)
2 users (show)

See Also:


Attachments
Patch to not initialize gcrypt (2.50 KB, text/plain)
2015-04-23 15:43 UTC, Tom Schulz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Schulz 2015-04-23 15:43:43 UTC
Created attachment 10983 [details]
Patch to not initialize gcrypt

This showed up on Solaris 10, but I don't think that it is operating system specific.

This happens on older systems where old versions of gnutls and gcrypt are supplied. If gnutls updated to a version greater than 3.0.0 (I installed 3.3.13) but gcrypt is not updated, the code in source4/lib/tls/tlscert.c that attempts to enable quick mode in gcrypt will fail to compile. The error is:

../source4/lib/tls/tlscert.c:74:15: error:
   'GCRYCTL_ENABLE_QUICK_RANDOM' undeclared (first use in this function)

The attached patch is an edited version of the patch from Bug 11135 that detects when the installed gnutls is later than version 3.0.0 and disables the gcrypt initialization.

Note that this problem is already fixed in Samba 4.2.1 by the patch in Bug 11135. But this part of the fix needs to be put into 4.1.*.
Comment 1 Tom Schulz 2015-05-08 18:09:55 UTC
Ping.
Comment 2 Andrew Bartlett 2017-01-03 03:28:07 UTC
Sadly at this point Samba 4.1 is out of support, so we need to mark this wontfix for 4.1 as you indicate it is fixed in Samba 4.2.1 by bug 11135.

Sorry,